﻿Public Class FrmTest



    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        'If Validation() = False Then Exit Sub

        Dim obj_Member As New Library_Database.Library.Members

        Dim dt As DataTable = obj_Member.SELECT_ByID(txtMember_ID.Text)

        If dt.Rows.Count > 0 Then
            txtFirstName.Text = dt.Rows(0).Item("FirstName").ToString
            txtLastName.Text = dt.Rows(0).Item("LastName").ToString
            txtMembershipCode.Text = dt.Rows(0).Item("MembershipCode").ToString
            txtMobileNumber.Text = dt.Rows(0).Item("MobileNumber").ToString
            txtPhoneNumbers.Text = dt.Rows(0).Item("PhoneNumbers").ToString
            txtNationalCode.Text = dt.Rows(0).Item("NationalCode").ToString
            txtRowDesc.Text = dt.Rows(0).Item("RowDesc").ToString
        End If

    End Sub

    Private Function Validation() As Boolean
        '---------------------
        Dim obj_Members As New Library_Database.Library.Members
        '---------------------
        'PreValidation
        txtMembershipCode.Text = txtMembershipCode.Text.Trim
        txtFirstName.Text = txtFirstName.Text.Trim
        txtLastName.Text = txtLastName.Text.Trim
        txtNationalCode.Text = txtNationalCode.Text.Trim
        '---------------------
        If txtMembershipCode.Text.Length = 0 Then
            MsgBox("کد عضویت را وارد کنید", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
            txtMembershipCode.Focus()
            Return False
            Exit Function
        End If
        '---------------------
        If IsNumeric(txtMembershipCode.Text) = False Then
            MsgBox("کد عضویت صحیح نمی باشد", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
            txtMembershipCode.Focus()
            Return False
            Exit Function
        End If
        '---------------------
        If CLng(txtMembershipCode.Text) <= 0 Then
            MsgBox("کد عضویت نمی تواند صفر یا عددی منفی باشد", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
            txtMembershipCode.Focus()
            Return False
            Exit Function
        End If
        '---------------------
        If txtFirstName.Text.Length = 0 Then
            MsgBox("نام را وارد کنید", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
            txtFirstName.Focus()
            Return False
            Exit Function
        End If
        '---------------------
        If txtLastName.Text.Length = 0 Then
            MsgBox("نام خانوادگی را وارد کنید", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
            txtLastName.Focus()
            Return False
            Exit Function
        End If
        '---------------------
        If txtNationalCode.Text.Length > 0 Then
            '--------------
            If txtNationalCode.Text.Length <> 10 Then
                MsgBox("کد ملی صحیح نمی باشد", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
                txtNationalCode.Focus()
                Return False
                Exit Function
            End If
            '--------------
            If IsNumeric(txtNationalCode.Text) = False Then
                MsgBox("کد ملی صحیح نمی باشد", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
                txtNationalCode.Focus()
                Return False
                Exit Function
            End If
            '--------------
        End If
        '---------------------
        If obj_Members.IsExist_MembershipCode(txtMembershipCode.Text, txtMember_ID.Text) = True Then
            MsgBox("کد عضویت تکراری می باشد", MsgBoxStyle.Critical, "خطا در اعتبار سنحی داده ها")
            txtMembershipCode.Focus()
            Return False
            Exit Function
        End If
        '---------------------
        Return True
    End Function

 

End Class
